<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.UserLocationMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.UserLocation">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="user_id" property="userId" />
        <result column="user_name" property="userName" />
        <result column="mobile" property="mobile" />
        <result column="district_id" property="districtId" />
        <result column="district_name" property="districtName" />
        <result column="property_id" property="propertyId" />
        <result column="property_name" property="propertyName" />
        <result column="agent_id" property="agentId" />
        <result column="agent_name" property="agentName" />
        <result column="beacon_mac" property="beaconMac" />
        <result column="scene_name" property="sceneName" />
        <result column="scene_id" property="sceneId" />
        <result column="scene_level" property="sceneLevel" />
        <result column="watch_mac" property="watchMac" />
        <result column="watch_id" property="watchId" />
        <result column="rssi" property="rssi" />
        <result column="watch_imei" property="watchImei" />
        <result column="beacon_id" property="beaconId" />
        <result column="beacon_name" property="beaconName" />
        <result column="broadcast_interval" property="broadcastInterval" />
        <result column="trans_rate" property="transRate" />
        <result column="memo" property="memo" />
        <result column="superior_grid_name" property="superiorGridName" />
        <result column="beacon_power" property="beaconPower" />
        <result column="watch_power" property="watchPower" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, user_id, user_name, mobile, district_id, district_name, property_id, property_name, agent_id, agent_name, beacon_mac, scene_name, scene_id, scene_level, watch_mac, watch_id, rssi, watch_imei, beacon_id, beacon_name, broadcast_interval, trans_rate, memo, superior_grid_name, beacon_power, watch_power
    </sql>

</mapper>
